1. after switching maven profiles -> mvn clean -> start app
program do not want read profile spring props from application.yml and profile instead of local or prod is "@activatedProperties@"

       Solution: right click on pom.xml->maven-> Reload project OR clean install